//Tento program po spusteni na obrazovku vypise, ci sa procesor nachadza
//v realnom, alebo virtualnom rezime.
#include <stdio.h>

//Zapneme instrukcie procesoru 386
#pragma option -3


//Funkcia get_mode ma navratovu hodnotu:
//0 - realny rezim
//1 - virtualny rezim
int get_mode()
{
  asm smsw ax
  asm and ax,1
  return(_AX);
}


//Zaciatok programu
int main()
{
  //Zistime rezim procesoru
  if (!get_mode())
    printf("Procesor sa nachadza v realnom rezime.\n");
  else
    printf("Procesor sa nachadza vo virtualnom rezime.\n");
  return(0);
}